Zorya APIZorya API
  • Go to the Portal
  • Sign Up
  • Documentation
  • API Reference
  • Tables
  • Copyright © 2026 Zorya Telecom, S.A. de C.V.
USERS & SESSIONS
    Get a signed token for a userpostGet the current active usergetList all active sessions for the current usergetRevoke a session by SessionIdpost
LOOKUP
    Consult Msisdn informationpost
TOP-UP
    Send a regular Top Up to a userpostSend a direct Top Up to a user with specified ProductpostGet Statusget
SMS
    Send a Basic SMS to a userpostGet Sms Statusget
RCS
    Send an RCS MessagepostGet RCS Statusget
MESSAGING
    Send SMS or RCS MessagepostGet Message Statusget
WHATSAPP
    MESSAGES
      Text Messagepost
    STATUS
      Get WhatsApp Statusget
    MEDIA
      Get MediaIdgetGenerate Header HandlepostUpload Media Completepost
    TEMPLATES
      List WhatsApp TemplatesgetCreate a WhatsApp TemplatepostUpdate a WhatsApp TemplatepostDelete a WhatsApp Templatedelete
      Categories
    Flows
    Usernames
WEBHOOKS
    MO
    MT
    NOTIFICATIONS
Core API
Core API

STATUS


Get WhatsApp Status

GET
https://gateway.zorya.com
/api/v1/WhatsApp/messages/status/{transactionId}

This endpoint allows you to retrieve the delivery status and processing information of a previously sent WhatsApp message by using its unique transactionId.

Request Parameters

ParameterTypeDescriptionRequired
transactionIdUUIDUnique identifier of transaction messageYes

⚠️ Note: Make sure the transactionId corresponds to a valid message.

Response Parameters

FieldTypeDescription
transactionIdStringUnique identifier of transaction message
msisdnStringPhone number to which the message was sent
updateDateStringTimestamp of the last status update for the message
messageStatusIdIntegerInternal ID representing the current message status
descriptionStatusStringDescription of the current status of the message
GET/api/v1/WhatsApp/messages/status/{transactionId}
curl https://gateway.zorya.com/api/v1/WhatsApp/messages/status/:transactionId \ --header 'Authorization: Bearer <token>'
Example Responses
{ "success": true, "errors": null, "detailedErrors": [], "data": { "transactionId": "67fbea53-ae9b-4a57-90f2-2f5b7472dfbc", "msisdn": "525560687472", "updateDate": "2025-05-04T03:37:29.417", "messageStatusId": 8, "descriptionStatus": "Message sent to WhatsApp" } }
json
application/json

MESSAGESMEDIA